### API for managing child organizations of a channel partner

#### /orgs

post/v2/partners/{partner_org_id}/orgs

Registers a new child organization under the channel partner. Creates the organization, sets up user memberships, and establishes the partnership relationship.

#### Path parameters
- `partner_org_id` string · uuid Required

#### Body
```json
{
  "name": "text",
  "labra_subscription_id": "text",
  "users": [
    {
      "email": "name@gmail.com",
      "role": "user"
    }
  ],
  "domain": null,
  "primary_address": {
    "line1": "text",
    "line2": null,
    "city": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "aws_marketplace_offer_link": null,
  "azure_marketplace_offer_link": null,
  "gcp_marketplace_offer_link": null
}
```

#### Responses

- **200 OK**  
```json
{
  "id": "text",
  "name": "text",
  "memberships": [
    {
      "role": "user",
      "username": "name@gmail.com"
    }
  ],
  "domain": null,
  "primary_address": {
    "line1": "text",
    "line2": null,
    "city": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "aws_marketplace_offer_link": null,
  "azure_marketplace_offer_link": null,
  "gcp_marketplace_offer_link": null
}
```

- **400 Bad request**
- **401 Unauthorized**
- **403 Forbidden**
- **404 Not found**
- **405 Method not allowed**
- **409 Conflict**
- **422 Unprocessable Content**
- **500 Internal server error**
- **default Default error response**

#### /orgs/{child_org_id}/invites

post/v2/partners/{partner_org_id}/orgs/{child_org_id}/invites

Invites users to the channel partner organization. Sends email invitations to the specified user emails with roles of user, admin, support, cloud_rep, restricted_user.

#### Path parameters
- `partner_org_id` string · uuid Required
- `child_org_id` string · uuid Required

#### Body
```json
{
  "users": [
    {
      "email": "name@gmail.com",
      "role": "user"
    }
  ]
}
```

#### Responses

- **200 OK**  
```json
{
  "role": "user",
  "username": "name@gmail.com"
}
```
